> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/e5fdc10a-d7fa-4687-a6f7-56c29f5d507c/thales-tsh-transaction-notification-passthrough-api/from-transaction-processor-to-thales.md).

# From Transaction Processor to Thales

## Notify Token Transaction

> Inform the TSH that a transaction was processed for the specified token.

```json
{"openapi":"3.1.1","info":{"title":"Thales TSH Transaction Notification Passthrough API","version":"1.7"},"paths":{"/notify-token-transaction":{"post":{"tags":["From Transaction Processor to Thales TSH"],"summary":"Notify Token Transaction","description":"Inform the TSH that a transaction was processed for the specified token.","operationId":"notify-token-transaction","parameters":[{"$ref":"#/components/parameters/xWalletIndicator"},{"$ref":"#/components/parameters/xRequestId"}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad request - Not Retryable","content":{"application/json":{"schema":{"type":"object","description":"Error Information Response. It is not always provided in the HTTP response.","properties":{"errorCode":{"type":"number","description":"Error Response code to the request\n|Error code | Description |\n|-------|-------|\n|111|Missing mandatory parameter|\n|112|Bad parameter format|\n|119|Unknown Token|\n"},"errorMessage":{"type":"string","description":"Textual error message."}}}}}},"500":{"description":"Internal Server Error - Retryable"},"503":{"description":"Service Unavailable - Retryable"}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"issuerId":{"$ref":"#/components/schemas/issuerId"},"tokenId":{"$ref":"#/components/schemas/tokenId"},"transactionId":{"$ref":"#/components/schemas/transactionId"},"transactionDate":{"$ref":"#/components/schemas/transactionDate"}},"required":["issuerId","tokenId","transactionId","transactionDate"]}}}}}}},"components":{"parameters":{"xWalletIndicator":{"schema":{"type":"number"},"name":"x-wallet-indicator","in":"header","description":"Indicator used to specify which wallet type performed the transaction.      \nPossible values are:\n  * 1 for Apple Pay\n  * 2 for Google Pay\n  * 3 for Samsung Pay\n  * 4 for Huawei Pay\n  * 5 for HCE Issuer Wallets    \n","required":false},"xRequestId":{"schema":{"type":"string","maxLength":64},"name":"x-request-id","in":"header","description":"Technical identifier used to trace one function call, request and\nresponse. \nIt shall be different for each function call. \nThe identifier is returned in the HTTP response header.\n","required":true}},"schemas":{"issuerId":{"type":"string","description":"The unique Issuer identifier.","minLength":10,"maxLength":10},"tokenId":{"type":"string","description":"The unique token identifier.","maxLength":64},"transactionId":{"type":"string","description":"The unique transaction identifier.","maxLength":64},"transactionDate":{"type":"string","description":"Date time of the transaction in RFC3339 format.","maxLength":32}}}}
```

## Healthcheck TSH

> This method shall be used to check the server availability.

```json
{"openapi":"3.1.1","info":{"title":"Thales TSH Transaction Notification Passthrough API","version":"1.7"},"paths":{"/healthcheck-tsh":{"get":{"tags":["From Transaction Processor to Thales TSH"],"summary":"Healthcheck TSH","description":"This method shall be used to check the server availability.","operationId":"healthcheck-tsh","parameters":[{"$ref":"#/components/parameters/xRequestId"}],"responses":{"204":{"$ref":"#/components/responses/undefined"}}}}},"components":{"parameters":{"xRequestId":{"schema":{"type":"string","maxLength":64},"name":"x-request-id","in":"header","description":"Technical identifier used to trace one function call, request and\nresponse. \nIt shall be different for each function call. \nThe identifier is returned in the HTTP response header.\n","required":true}},"responses":{"undefined":{"description":"Service Unavailable - Retryable"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/e5fdc10a-d7fa-4687-a6f7-56c29f5d507c/thales-tsh-transaction-notification-passthrough-api/from-transaction-processor-to-thales.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
